/*
 *+--------------------------------------------------------------------------------------+
 *| Licensed Materials - Use restricted, please refer to the "Samples Gallery" terms and |
 *| conditions in the IBM International Program License Agreement.						 |	
 *|  Copyright IBM Corporation 2003, 2004. All Rights Reserved.						 |
 *+--------------------------------------------------------------------------------------+
 */


package itso.ad.business.ejb.model;
/**
 * Key class for Entity Bean: Account
 */
public class AccountKey implements java.io.Serializable {
	static final long serialVersionUID = 3206093459760846163L;
	/**
	 * Implementation field for persistent attribute: accountNumber
	 */
	public java.lang.String accountNumber;
	/**
	 * Creates an empty key for Entity Bean: Account
	 */
	public AccountKey() {
	}
	/**
	 * Creates a key for Entity Bean: Account
	 */
	public AccountKey(java.lang.String accountNumber) {
		this.accountNumber = accountNumber;
	}
	/**
	 * Returns true if both keys are equal.
	 */
	public boolean equals(java.lang.Object otherKey) {
		if (otherKey instanceof itso.ad.business.ejb.model.AccountKey) {
			itso.ad.business.ejb.model.AccountKey o = (itso.ad.business.ejb.model.AccountKey) otherKey;
			return ((this.accountNumber.equals(o.accountNumber)));
		}
		return false;
	}
	/**
	 * Returns the hash code for the key.
	 */
	public int hashCode() {
		return (accountNumber.hashCode());
	}
}